PowerEigenSolver.h File Reference
`#include <RDGeneral/export.h>`
`#include <Numerics/Vector.h>`
`#include <Numerics/Matrix.h>`
`#include <Numerics/SymmMatrix.h>`

Go to the source code of this file.

## Namespaces

| RDNumeric
| RDNumeric::EigenSolvers

## Functions

bool RDKIT_EIGENSOLVERS_EXPORT | RDNumeric::EigenSolvers::powerEigenSolver (unsigned int numEig, DoubleSymmMatrix &mat, DoubleVector &eigenValues, DoubleMatrix *eigenVectors=0, int seed=-1)
| Compute the `numEig` largest eigenvalues and, optionally, the. More...
static bool | RDNumeric::EigenSolvers::powerEigenSolver (unsigned int numEig, DoubleSymmMatrix &mat, DoubleVector &eigenValues, DoubleMatrix &eigenVectors, int seed=-1)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...